/*	Dummy variables
*/
#define BYTE    unsigned char
#define BOOL    unsigned char
#define PUBLIC

#define DEVICE_NAME_SIZE        256
#define VERSION_NAME_SIZE       256

PUBLIC BYTE DeviceName[DEVICE_NAME_SIZE];
PUBLIC BYTE VersionName[VERSION_NAME_SIZE];

PUBLIC BOOL TDS3Switch = 0;                        /*  tds3 flag: NOT tds3  */
PUBLIC BOOL LockSwitch = 1;                        /*  Transtech locking flag: lock devices  */


/*{{{  Open Link */
int TRANSTECHOpenLink( DeviceName )
  char *DeviceName ;
{
	return( OpenLink(DeviceName) );
}

/*}}}*/
/*{{{  Close link */
int TRANSTECHCloseLink( Link_id )
int Link_id;
{
	return( CloseLink(Link_id) ) ;
}

/*}}}*/
/*{{{  reset Link */
int TRANSTECHResetLink (Link_id )
int Link_id;
{
	return( ResetLink (Link_id ));
}

/*}}}*/
/*{{{  Analyse link */
int TRANSTECHAnalyseLink( Link_id)
int Link_id ;
{
	return(AnalyseLink(Link_id));
}

/*}}}*/
/*{{{  Test error */
TRANSTECHTestError(Link_id)
int Link_id ;
{
	return(TestError(Link_id));
}

/*}}}*/

/*{{{  Test read */
TRANSTECHTestRead(Link_id)
int Link_id ;
{
#if 0
	return(TestRead(Link_id));
#endif
}

/*}}}*/
/*{{{  Test write */
TRANSTECHTestWrite(Link_id)
int Link_id;
{
#if 0
	return(TestWrite(Link_id));
#endif
}

/*}}}*/
/*{{{  Read Link */
int TRANSTECHReadLink(Link_id, Buffer, Count, Time_out)
int Link_id;
char *Buffer;
unsigned int Count;
int Time_out;
{
	return( ReadLink(Link_id, Buffer, Count, Time_out));
}

/*}}}*/
/*{{{  Write link */
/* no timeouts */
int TRANSTECHWriteLink(Link_id, Buffer, Count, Time_out)
int Link_id;
char *Buffer;
unsigned int Count;
int Time_out;
{
	return(WriteLink(Link_id, Buffer, Count, Time_out));
}
/*}}}*/

